-- ==============================================================

--                                           MagicRepair 1.0.2

--                                     File: MagicRepairConfig.lua

-- ==============================================================

local L = LibStub("AceLocale-3.0"):GetLocale("MagicRepair")
setmetatable( L, { __index = function(t, text) return text end })

function MRConfig_OnLoad(self)

	panel = MagicRepairConfig;	
	panel.name = "MagicRepair";
	InterfaceOptions_AddCategory(panel);
	
end

function MRConfig_OnShow(self)

	getglobal(self:GetName().."CheckButtonOff"):SetChecked(MROff);
	getglobal(self:GetName().."CheckButtonOwnonly"):SetChecked(MROwnonly);
	getglobal(self:GetName().."CheckButtonOwn"):SetChecked(MROwn);
	getglobal(self:GetName().."CheckButtonGuild"):SetChecked(MRGuild);
	getglobal(self:GetName().."CheckButtonGuildonly"):SetChecked(MRGuildonly);

end

function MRConfigOption_OnClick(self)

	if (self:GetName() == (self:GetParent():GetName().."CheckButtonOff" ) ) then
		MRToggleOff();
	end
	
	if (self:GetName() == (self:GetParent():GetName().."CheckButtonOwnonly" ) ) then
		MRToggleOwnonly();
	end
	
	if (self:GetName() == (self:GetParent():GetName().."CheckButtonOwn" ) ) then
		MRToggleOwn();
	end
	
	if (self:GetName() == (self:GetParent():GetName().."CheckButtonGuild" ) ) then
		MRToggleGuild();
	end
	
	if (self:GetName() == (self:GetParent():GetName().."CheckButtonGuildonly" ) ) then
		MRToggleGuildonly();
	end
	
	MagicRepairConfig:Hide();
	MagicRepairConfig:Show();

end

function MRConfigText(self)

	if (self:GetName() == (self:GetParent():GetName().."CheckButtonOff" ) ) then
		getglobal(self:GetName().."Text"):SetText("-"..L[" MagicRepair  ON"]);
	end
	
	if (self:GetName() == (self:GetParent():GetName().."CheckButtonOwnonly" ) ) then
		getglobal(self:GetName().."Text"):SetText("- "..L["Repair only from own money"]);
	end
	
	if (self:GetName() == (self:GetParent():GetName().."CheckButtonOwn" ) ) then
		getglobal(self:GetName().."Text"):SetText("- "..L["Try to repair from own money first, repair from guild bank if fails"]);
	end
	
	if (self:GetName() == (self:GetParent():GetName().."CheckButtonGuild" ) ) then
		getglobal(self:GetName().."Text"):SetText("- "..L["Try to repair from guild bank first, repair from own money if fails"]);
	end
	
	if (self:GetName() == (self:GetParent():GetName().."CheckButtonGuildonly" ) ) then
		getglobal(self:GetName().."Text"):SetText("- "..L["Repair only from guild bank"]);
	end
	
end